Name:           florence
Version:        0.6.3
Release:        %mkrel 8
Summary:        Extensible scalable on-screen virtual keyboard
Group:          System/X11
License:        GPLv2+ and GFDL
URL:           	http://florence.sourceforge.net
Source0:       	https://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
# build fixes for both static and dynamic linking
Patch0:         florence-0.6.3-ld-no-undefined.patch
BuildRequires:  gettext-devel
BuildRequires:  gnome-doc-utils
BuildRequires:  intltool
BuildRequires:  scrollkeeper
BuildRequires:  pkgconfig(cairo)
BuildRequires:  pkgconfig(gmodule-2.0)
BuildRequires:  pkgconfig(gstreamer-1.0)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(librsvg-2.0)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(xtst)

%description
Florence is an extensible scalable virtual keyboard.

It's designed for GNOME but can be used in any DE (without some features).

You need it if you can't use a real hardware keyboard, for
example because you are disabled, your keyboard is broken or
because you use a tablet PC, but you must be able to use a pointing
device (as a mouse, a trackball or a touchscreen).

In GNOME Florence stays out of your way when you don't need it:
it appears on the screen only when you need it.

A Timer-based auto-click functionality is available
to help disabled people having difficulties to click.

If you have problems switching keyboard layout (language) in KDE4,
reconfigure layouts in KDE4 settings once and it should work.

%prep
%setup -q
%autopatch -p1

rm -f gconf-refresh
ln -sf /bin/true gconf-refresh

sed -i 's|Icon=%{name}.svg|Icon=%{name}|g' data/%{name}.desktop.in.in


%build
autoreconf -fi
%configure \
      --without-panelapplet \
      --without-xrecord \
      --without-notification \
      --disable-shared
%make_build


%install
%make_install

desktop-file-install \
        --delete-original \
        --remove-category="Application" \
        --add-category="Utility" \
        --dir=%{buildroot}%{_datadir}/applications \
        %{buildroot}%{_datadir}/applications/%{name}.desktop

mkdir -p %{buildroot}%{_datadir}/pixmaps/

install -p -m 0644 data/%{name}.svg \
    %{buildroot}%{_datadir}/pixmaps/%{name}.svg

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS ChangeLog COPYING COPYING-DOCS NEWS README
%{_datadir}/%{name}/
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.*
%{_datadir}/gnome/help/%{name}/
%{_datadir}/omf/%{name}/
%{_datadir}/pixmaps/%{name}.svg
%{_datadir}/glib-2.0/schemas/org.florence.gschema.xml
%{_mandir}/man1/florence.1.*
%{_mandir}/man1/florence_applet.1.*
%exclude %{_includedir}/florence-1.0
%exclude %{_libdir}/libflorence-1.0.a
%exclude %{_libdir}/libflorence-1.0.la
%exclude %{_libdir}/pkgconfig


%changelog
* Sat Apr 02 2022 umeabot <umeabot> 0.6.3-8.mga9
+ Revision: 1840678
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 0.6.3-7.mga8
+ Revision: 1522186
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Wed Jan 23 2019 daviddavid <daviddavid> 0.6.3-6.mga7
+ Revision: 1360047
- add missing BR on scrollkeeper to fix build

* Sun Dec 16 2018 wally <wally> 0.6.3-5.mga7
+ Revision: 1341602
- drop unneeded BRs

* Sun Sep 23 2018 umeabot <umeabot> 0.6.3-4.mga7
+ Revision: 1297727
- Mageia 7 Mass Rebuild

* Mon Jun 11 2018 daviddavid <daviddavid> 0.6.3-3.mga7
+ Revision: 1236264
- switch BR from at-spi-devel to pkgconfig(atspi-2)

* Sun Feb 19 2017 daviddavid <daviddavid> 0.6.3-2.mga6
+ Revision: 1086851
- use new rpm macros

* Sat Feb 18 2017 cjw <cjw> 0.6.3-1.mga6
+ Revision: 1086707
- 0.6.3
- do not package the library for now
- patch0: fix build

* Mon Feb 01 2016 daviddavid <daviddavid> 0.6.0-5.mga6
+ Revision: 929861
- switch to %%configure2_5x to fix build

* Wed Oct 15 2014 umeabot <umeabot> 0.6.0-4.mga5
+ Revision: 749263
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.6.0-3.mga5
+ Revision: 679239
- Mageia 5 Mass Rebuild

* Tue Oct 22 2013 umeabot <umeabot> 0.6.0-2.mga4
+ Revision: 541352
- Mageia 4 Mass Rebuild

* Sat Oct 12 2013 matteo <matteo> 0.6.0-1.mga4
+ Revision: 495648
- new version 0.6.0

* Fri Jan 11 2013 umeabot <umeabot> 0.5.1-3.mga3
+ Revision: 350556
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 05 2012 matteo <matteo> 0.5.1-2.mga2
+ Revision: 191898
- fixed bug about glib.h inclusion

* Tue Oct 11 2011 matteo <matteo> 0.5.1-1.mga2
+ Revision: 154001
- imported package florence

